package types

// IStore -- дисковое хранилище
type IStore interface {
	// Put -- разместить запись
	Put(key string, val []byte) error
	// Get -- получить запись
	Get(key string) (val []byte, err error)
	// Del -- удаляет запись по ключу
	Del(key string) error
	// Find -- найти ключи по префиксу
	Find(prefixKey string) ([]string, error)
}
